<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'lavalite',

    /*
     * Package.
     */
    'package'   => 'auto',

    /*
     * Modules.
     */
    'modules'   => ['manufacturer', 'car', 'automodel', 'body'],

    'manufacturer'       => [
        'model' => [
            'model'                 => \Lavalite\Auto\Models\Manufacturer::class,
            'table'                 => 'manufacturers',
            'presenter'             => \Lavalite\Auto\Repositories\Presenter\ManufacturerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'description',  'image',  'count',  'slug',  'status',  'deleted_at',  'updated_at',  'created_at'],
            'translatables'         => [],
            'upload_folder'         => 'auto/manufacturer',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Lavalite',
            'package'   => 'Auto',
            'module'    => 'Manufacturer',
        ],

    ],
    'car'       => [
        'model' => [
            'model'                 => \Lavalite\Auto\Models\Car::class,
            'table'                 => 'cars',
            'presenter'             => \Lavalite\Auto\Repositories\Presenter\CarPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'manufacture_id',  'model_id',  'bodytype_id',  'client_id',  'name',  'description',  'price',  'images',  'condition',  'bodytype',  'accessories',  'enginetype',  'topspeed',  'transmission',  'drivetrain',  'torque',  'mileage',  'horsepower',  'brake',  'color',  'gearbox',  'fueltype',  'year',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'auto/car',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Lavalite',
            'package'   => 'Auto',
            'module'    => 'Car',
        ],

    ],
    'automodel'       => [
        'model' => [
            'model'                 => \Lavalite\Auto\Models\Automodel::class,
            'table'                 => 'automodels',
            'presenter'             => \Lavalite\Auto\Repositories\Presenter\AutomodelPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'manufacture_id',  'name',  'description',  'image',  'slug',  'status',  'deleted_at',  'updated_at',  'created_at'],
            'translatables'         => [],
            'upload_folder'         => 'auto/automodel',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Lavalite',
            'package'   => 'Auto',
            'module'    => 'Automodel',
        ],

    ],
    'body'       => [
        'model' => [
            'model'                 => \Lavalite\Auto\Models\Body::class,
            'table'                 => 'bodies',
            'presenter'             => \Lavalite\Auto\Repositories\Presenter\BodyPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'icon',  'count',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'auto/body',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Lavalite',
            'package'   => 'Auto',
            'module'    => 'Body',
        ],

    ],
];
