<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCarsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: cars
         */
        Schema::create('cars', function ($table) {
            $table->increments('id');
            $table->integer('manufacture_id')->nullable();
            $table->integer('model_id')->nullable();
            $table->integer('bodytype_id')->nullable();
            $table->integer('client_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->text('description')->nullable();
            $table->integer('price')->nullable();
            $table->text('images')->nullable();
            $table->enum('condition', ['New','Old'])->nullable();
            $table->string('bodytype', 20)->nullable();
            $table->text('accessories')->nullable();
            $table->string('enginetype', 20)->nullable();
            $table->string('topspeed', 10)->nullable();
            $table->string('transmission', 20)->nullable();
            $table->string('drivetrain', 25)->nullable();
            $table->string('torque', 20)->nullable();
            $table->integer('mileage')->nullable();
            $table->integer('horsepower')->nullable();
            $table->string('brake', 20)->nullable();
            $table->string('color', 10)->nullable();
            $table->string('gearbox', 20)->nullable();
            $table->string('fueltype', 20)->nullable();
            $table->date('year')->nullable();
            $table->text('slug')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('cars');
    }
}
