<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for car in auto package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  car module in auto package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Car',
    'names'         => 'Cars',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Cars',
        'sub'   => 'Cars',
        'list'  => 'List of cars',
        'edit'  => 'Edit car',
        'create'    => 'Create new car'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'condition'           => ['New','Old'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'manufacture_id'             => 'Please enter manufacture id',
        'model_id'                   => 'Please enter model id',
        'bodytype_id'                => 'Please enter bodytype id',
        'client_id'                  => 'Please enter client id',
        'name'                       => 'Please enter name',
        'description'                => 'Please enter description',
        'price'                      => 'Please enter price',
        'images'                     => 'Please enter images',
        'condition'                  => 'Please select condition',
        'bodytype'                   => 'Please enter bodytype',
        'accessories'                => 'Please enter accessories',
        'enginetype'                 => 'Please enter enginetype',
        'topspeed'                   => 'Please enter topspeed',
        'transmission'               => 'Please enter transmission',
        'drivetrain'                 => 'Please enter drivetrain',
        'torque'                     => 'Please enter torque',
        'mileage'                    => 'Please enter mileage',
        'horsepower'                 => 'Please enter horsepower',
        'brake'                      => 'Please enter brake',
        'color'                      => 'Please enter color',
        'gearbox'                    => 'Please enter gearbox',
        'fueltype'                   => 'Please enter fueltype',
        'year'                       => 'Please select year',
        'slug'                       => 'Please enter slug',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'manufacture_id'             => 'Manufacture id',
        'model_id'                   => 'Model id',
        'bodytype_id'                => 'Bodytype id',
        'client_id'                  => 'Client id',
        'name'                       => 'Name',
        'description'                => 'Description',
        'price'                      => 'Price',
        'images'                     => 'Images',
        'condition'                  => 'Condition',
        'bodytype'                   => 'Bodytype',
        'accessories'                => 'Accessories',
        'enginetype'                 => 'Enginetype',
        'topspeed'                   => 'Topspeed',
        'transmission'               => 'Transmission',
        'drivetrain'                 => 'Drivetrain',
        'torque'                     => 'Torque',
        'mileage'                    => 'Mileage',
        'horsepower'                 => 'Horsepower',
        'brake'                      => 'Brake',
        'color'                      => 'Color',
        'gearbox'                    => 'Gearbox',
        'fueltype'                   => 'Fueltype',
        'year'                       => 'Year',
        'slug'                       => 'Slug',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'manufacture_id'             => ['name' => 'Manufacture id', 'data-column' => 1, 'checked'],
        'model_id'                   => ['name' => 'Model id', 'data-column' => 2, 'checked'],
        'bodytype_id'                => ['name' => 'Bodytype id', 'data-column' => 3, 'checked'],
        'client_id'                  => ['name' => 'Client id', 'data-column' => 4, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 5, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 6, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 7, 'checked'],
        'images'                     => ['name' => 'Images', 'data-column' => 8, 'checked'],
        'condition'                  => ['name' => 'Condition', 'data-column' => 9, 'checked'],
        'bodytype'                   => ['name' => 'Bodytype', 'data-column' => 10, 'checked'],
        'accessories'                => ['name' => 'Accessories', 'data-column' => 11, 'checked'],
        'enginetype'                 => ['name' => 'Enginetype', 'data-column' => 12, 'checked'],
        'topspeed'                   => ['name' => 'Topspeed', 'data-column' => 13, 'checked'],
        'transmission'               => ['name' => 'Transmission', 'data-column' => 14, 'checked'],
        'drivetrain'                 => ['name' => 'Drivetrain', 'data-column' => 15, 'checked'],
        'torque'                     => ['name' => 'Torque', 'data-column' => 16, 'checked'],
        'mileage'                    => ['name' => 'Mileage', 'data-column' => 17, 'checked'],
        'horsepower'                 => ['name' => 'Horsepower', 'data-column' => 18, 'checked'],
        'brake'                      => ['name' => 'Brake', 'data-column' => 19, 'checked'],
        'color'                      => ['name' => 'Color', 'data-column' => 20, 'checked'],
        'gearbox'                    => ['name' => 'Gearbox', 'data-column' => 21, 'checked'],
        'fueltype'                   => ['name' => 'Fueltype', 'data-column' => 22, 'checked'],
        'year'                       => ['name' => 'Year', 'data-column' => 23, 'checked'],
        'created_at'                 => ['name' => 'Created at', 'data-column' => 24, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Cars',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
