<?php

namespace Lavalite\Auto\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
class Car extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;


    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'lavalite.auto.car.model';


    /**
     * The manufacture that belong to the car.
     */
    public function manufacture(){
        return $this->belongsTo('Auto\Car\Models\Manufacturer');
    }


    /**
     * The automodel that belong to the car.
     */
    public function automodel(){
        return $this->belongsTo('Auto\Car\Models\Automodel');
    }


    /**
     * The body that belong to the car.
     */
    public function body(){
        return $this->belongsTo('Auto\Car\Models\Body');
    }
}
