<?php

namespace Lavalite\Auto\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Manufacturer policy
        'Lavalite\Auto\Models\Manufacturer' => \Lavalite\Auto\Policies\ManufacturerPolicy::class,// Bind Car policy
        'Lavalite\Auto\Models\Car' => \Lavalite\Auto\Policies\CarPolicy::class,// Bind Automodel policy
        'Lavalite\Auto\Models\Automodel' => \Lavalite\Auto\Policies\AutomodelPolicy::class,// Bind Body policy
        'Lavalite\Auto\Models\Body' => \Lavalite\Auto\Policies\BodyPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
