<?php

namespace Lavalite\Auto\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AutomodelTransformer extends TransformerAbstract
{
    public function transform(\Lavalite\Auto\Models\Automodel $automodel)
    {
        return [
            'id'                => $automodel->getRouteKey(),
            'key'               => [
                'public'    => $automodel->getPublicKey(),
                'route'     => $automodel->getRouteKey(),
            ], 
            'id'                => $automodel->id,
            'manufacture_id'    => $automodel->manufacture_id,
            'name'              => $automodel->name,
            'description'       => $automodel->description,
            'image'             => $automodel->image,
            'slug'              => $automodel->slug,
            'status'            => $automodel->status,
            'deleted_at'        => $automodel->deleted_at,
            'updated_at'        => $automodel->updated_at,
            'created_at'        => $automodel->created_at,
            'url'               => [
                'public'    => trans_url('auto/'.$automodel->getPublicKey()),
                'user'      => guard_url('auto/automodel/'.$automodel->getRouteKey()),
            ], 
            'status'            => trans('app.'.$automodel->status),
            'created_at'        => format_date($automodel->created_at),
            'updated_at'        => format_date($automodel->updated_at),
        ];
    }
}