<?php

namespace Lavalite\Auto\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BodyTransformer extends TransformerAbstract
{
    public function transform(\Lavalite\Auto\Models\Body $body)
    {
        return [
            'id'                => $body->getRouteKey(),
            'key'               => [
                'public'    => $body->getPublicKey(),
                'route'     => $body->getRouteKey(),
            ], 
            'id'                => $body->id,
            'name'              => $body->name,
            'icon'              => $body->icon,
            'count'             => $body->count,
            'slug'              => $body->slug,
            'created_at'        => $body->created_at,
            'updated_at'        => $body->updated_at,
            'deleted_at'        => $body->deleted_at,
            'url'               => [
                'public'    => trans_url('auto/'.$body->getPublicKey()),
                'user'      => guard_url('auto/body/'.$body->getRouteKey()),
            ], 
            'status'            => trans('app.'.$body->status),
            'created_at'        => format_date($body->created_at),
            'updated_at'        => format_date($body->updated_at),
        ];
    }
}