<?php

namespace Lavalite\Auto\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CarTransformer extends TransformerAbstract
{
    public function transform(\Lavalite\Auto\Models\Car $car)
    {
        return [
            'id'                => $car->getRouteKey(),
            'key'               => [
                'public'    => $car->getPublicKey(),
                'route'     => $car->getRouteKey(),
            ], 
            'id'                => $car->id,
            'manufacture_id'    => $car->manufacture_id,
            'model_id'          => $car->model_id,
            'bodytype_id'       => $car->bodytype_id,
            'client_id'         => $car->client_id,
            'name'              => $car->name,
            'description'       => $car->description,
            'price'             => $car->price,
            'images'            => $car->images,
            'condition'         => $car->condition,
            'bodytype'          => $car->bodytype,
            'accessories'       => $car->accessories,
            'enginetype'        => $car->enginetype,
            'topspeed'          => $car->topspeed,
            'transmission'      => $car->transmission,
            'drivetrain'        => $car->drivetrain,
            'torque'            => $car->torque,
            'mileage'           => $car->mileage,
            'horsepower'        => $car->horsepower,
            'brake'             => $car->brake,
            'color'             => $car->color,
            'gearbox'           => $car->gearbox,
            'fueltype'          => $car->fueltype,
            'year'              => $car->year,
            'slug'              => $car->slug,
            'created_at'        => $car->created_at,
            'updated_at'        => $car->updated_at,
            'deleted_at'        => $car->deleted_at,
            'url'               => [
                'public'    => trans_url('auto/'.$car->getPublicKey()),
                'user'      => guard_url('auto/car/'.$car->getRouteKey()),
            ], 
            'status'            => trans('app.'.$car->status),
            'created_at'        => format_date($car->created_at),
            'updated_at'        => format_date($car->updated_at),
        ];
    }
}